<!DOCTYPE html>
<html>
<head>
	<title>Exam 2</title>
</head>
<body>
	<div id="app">
		<h3>{{ message }}</h3>
		<menu-item v-bind:message="'Menu top'" :menus="menuTops"></menu-item>
		<menu-item v-bind:message="'Menu Right'" :menus="menuRights"></menu-item>
	</div>


	<script src="https://cdn.jsdelivr.net/npm/vue"></script>
    <script>
    	Vue.component('menu-item', {
    		props: {
    			message: {
    				type: String,
    				default: '',	
    			},

    			menus: {
    				type: Array,
    				default: () => {
    					return []
    				}
    			}
    		},
    		data() {
    			return {
    				isActive: false
    			}
    		},
    		created() {
    			console.log('OK')
    		},
    		watch: {
    			isActive() {
    				alert('Change isActive to ' + this.isActive)
    			}
    		},
    		methods: {
    			showMessage() {
    				this.isActive = false
    			}
    		},
    		template: `
    			<div>
					<h1>{{ message }}</h1>
					<ul>
						<li v-for='menu in menus'><a href="">{{ menu.name }}</a></li>
					</ul>
					<button v-if='message' v-on:click="showMessage()">Click here</button>
				</div>`,
				
			mounted() {
				console.log(this.message)
			}
    	})

    	new Vue({
    		el: '#app',
    		data: {
    			message: 'Học Vue JS',
    			menuTops: [
    				{
    					id: 1,
    					name: 'Home'
    				},
    				{
    					id: 2,
    					name: 'About'
    				},
    				{
    					id: 3,
    					name: 'Services'
    				},
    				{
    					id: 4,
    					name: 'Products'
    				},
    			],
    			menuRights: [
    				{
    					id: 1,
    					name: 'Laptop'
    				},
    				{
    					id: 2,
    					name: 'Desktop'
    				},
    				{
    					id: 3,
    					name: 'Mobile'
    				},
    				{
    					id: 4,
    					name: 'Camera'
    				},
    				{
    					id: 5,
    					name: 'Printer'
    				},
    			],
    		}
    	})
    </script>
</body>
</html>